## 网格布局组件

### [nftn/element-ui/grid/main.vue]
#### code
```javascript
    let _base = {
        span: Number,
        offset: Number
    };
    let _col = Object.assign(_base, {
        xs: Number || _base,
        sm: Number || _base,
        md: Number || _base,
        lg: Number || _base
    });
    let _gap = Number || 0;
    let _gaps = [Number, ...] || { (index): Number, ... };
    let _rows = [
        [Number, _col, ...],
        {
            cols: [Number, _col],
            gap: _gap,
            gaps: _gaps
        }
    ];
    let _configs = {
        rows: _rows,
        gap: _gap,
        gap: _gaps
    };
```

#### props
| 参数 | 说明 | 绑定对象参照 | 默认值 |
| --- | --- | --- | --- |
| rows | 矩阵数据指示行列情况 | _rows | `[[24]]` |
| gap | 栅格间距 | _gap | `0` |
| gaps | 栅格间距(也可对应每一行进行设置) | _gaps | `[]` |
| configs | 以上所有参数的集合对象 | _configs | `{}` |

#### slots
* grid-' + {row.index} + '-' + {col.index} // 每一行每一列都有一个内容分发可配置
